
Redmine - Feature #38048

Introduce permission to set a project public

2022-12-14 22:00 - Felix Schäfer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version: 5.1.0   

Resolution: Fixed   

Description

In certain situation it might be desirable for project creators or project managers to not be able to change the public attribute for

projects.

Related issues:

Related to Redmine - Feature #9029: Disable public project creation on a role... Closed 2011-08-10

Related to Redmine - Defect #38210: Incorrect DB migration version Closed

Related to Redmine - Patch #39777: Remove useless method #run_in_request? fro... Closed

Associated revisions

Revision 22038 - 2023-01-12 03:59 - Go MAEDA

Introduce permission to set a project public (#38048).

Patch by Felix Schäfer.

Revision 22039 - 2023-01-12 04:01 - Go MAEDA

Update locales (#38048).

Revision 22074 - 2023-01-25 02:57 - Go MAEDA

Fix the migration version of 20221214173537_add_select_project_publicity_permission.rb (#38048, #38210).

History

#1 - 2022-12-14 22:01 - Felix Schäfer

- File 38048.patch added

The attached patch provides a possible implementation of this feature with a few tests.

#2 - 2022-12-15 06:25 - Go MAEDA

- Related to Feature #9029: Disable public project creation on a role basis added

#3 - 2022-12-21 08:57 - Go MAEDA

- Target version set to Candidate for next major release

#4 - 2023-01-09 07:58 - Go MAEDA

- Target version changed from Candidate for next major release to 5.1.0

Setting the target version to 5.1.0.

#5 - 2023-01-12 04:01 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for improving Redmine.
#6 - 2023-01-12 10:30 - Felix Schäfer

Thank you.

#7 - 2023-01-24 20:26 - Holger Just

- Related to Defect #38210: Incorrect DB migration version added

#8 - 2023-12-05 00:56 - Go MAEDA

- Related to Patch #39777: Remove useless method #run_in_request? from db/migrate/20221214173537_add_select_project_publicity_permission.rb

added

Files

38048.patch 8.14 KB 2022-12-14 Felix Schäfer
